Subject: bug#73249: Recovering journal at boot time after reconfiguring the system with Sway and EXWM

From: Oleander <[email-masked]>
Date: Tue, 29 Oct 2024 11:05:43 +0000

Hi,
I'm experiencing the same issue with exwm.

Regards,
-------- Original Message --------
On Sep 19, 2024, 15:48, Oleander wrote:

> Hi Ludo,
> yes, it's only after guix system reconfigure.
>
> Thank you!
>
> -------- Original Message --------
> On Sep 19, 2024, 15:13, Ludovic Courtès wrote:
>
>> Hi, Oleander skribis: > I'm running Guix with Sway (v1.9) and ext4. When guix system reconfigure is performed, a filesystem check is triggered on next boot, showing the message: "Recovering journal" and then "clean...". After this, the system boots just fine. > > I reboot/poweroff with loginctl reboot/poweroff (elogind). I think I’ve seen that “Recovering” message recently too, though I’m not sure when that happens (I’m on ext4 but I don’t use Sway). FWIW, the ‘root-unmount’ system test, which ensures root is properly unmounted, currently passes: https://ci.guix.gnu.org/build/5806700/details So maybe it’s only after reconfigure that the file system isn’t properly unmounted? Can you confirm this? Ludo’.